package com.fs.hisStore.mapper;

import com.fs.hisStore.domain.FsTestTempScrm;
import com.fs.his.vo.OptionsVO;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 测一测模板Mapper接口
 *
 * @author fs
 * @date 2023-09-04
 */
public interface FsTestTempScrmMapper
{
    /**
     * 查询测一测模板
     *
     * @param tempId 测一测模板主键
     * @return 测一测模板
     */
    public FsTestTempScrm selectFsTestTempByTempId(Long tempId);

    /**
     * 查询测一测模板列表
     *
     * @param fsTestTemp 测一测模板
     * @return 测一测模板集合
     */
    public List<FsTestTempScrm> selectFsTestTempList(FsTestTempScrm fsTestTemp);

    /**
     * 新增测一测模板
     *
     * @param fsTestTemp 测一测模板
     * @return 结果
     */
    public int insertFsTestTemp(FsTestTempScrm fsTestTemp);

    /**
     * 修改测一测模板
     *
     * @param fsTestTemp 测一测模板
     * @return 结果
     */
    public int updateFsTestTemp(FsTestTempScrm fsTestTemp);

    /**
     * 删除测一测模板
     *
     * @param tempId 测一测模板主键
     * @return 结果
     */
    public int deleteFsTestTempByTempId(Long tempId);

    /**
     * 批量删除测一测模板
     *
     * @param tempIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsTestTempByTempIds(Long[] tempIds);

    @Select("select temp_id dictValue,`name` dictLabel from fs_test_temp")
    List<OptionsVO> selectAllTestTempList();

}
